<div class="row">
    <div class="col-md-12">
        <button class="btn btn-custom btn-user btn-sm mb-3 mr-2"
                                    [routerLink]="['/production/add-fabric-inward-log']">Add Fabric Entry</button>

        <button type="button" (click)="generateExcel()" class="btn btn-sm btn-primary mb-3"><i class="fa fa-download mr-1"></i>Generate
                Report</button>
    </div>
</div>

<div class="card shadow mb-4">
    <div class="card-header">
        <form class="user filterForm" [formGroup]="filterForm">
            <div class="form-group row">
                <div class="col-sm-2 mb-3 mb-sm-0">
                    <select formControlName="f_erp" class="form-control dropdown" (change)="getFilteredFabricInwards()">
                        <option value="" selected>Select ERP</option>
                        <option *ngFor="let e of erps" value="{{e.erp_id}}">{{e.erp_title}}</option>
                    </select>
                </div>
                <div class="col-sm-2 mb-3 mb-sm-0">
                    <input formControlName="f_date" type="date" (change)="getFilteredFabricInwards()"
                        class="form-control form-control-user">
                </div>
                <div class="col-sm-2 mb-3 mb-sm-0">
                    <input type="submit" value="Reset" (click)="resetFilters()" class="btn btn-warning btn-block">
                </div>
            </div>
        </form>
    </div>
    <div class="card-body">
        <div class="table-responsive">
            <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                <thead>
                    <tr>
                        <th>ERP</th>
                        <th>Fabric-code</th>
                        <th>Number of Rolls</th>
                        <th>Quantity</th>
                        <th>Barcode</th>
                        <th>grn-no</th>
                        <th>Datetime</th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody>
                    <tr
                        *ngFor="let data of material | paginate: { itemsPerPage: 10, currentPage: p }">
                        <td>{{data.erp_title}}</td>
                        <td>{{data.fabric_code}}</td>
                        <td>{{data.rolls}}</td>
                        <td>{{data.received_quantity}}</td>
                        <td>{{data.barcode}}</td>
                        <td>{{data.grn_no}}</td>
                        <td>{{data.created_on}}</td>
                        <td>
                            <span><a
                                    [routerLink]="['/production/view-fabric-inward-details', data.inward_id]"><i
                                        class="fa fa-eye text-info mr-2"
                                        aria-hidden="true"></i></a></span>

                            <span><a
                                    [routerLink]="['/production/edit-fabric-inward-log', data.inward_id]"><i
                                        class="fa fa-edit mr-2"
                                        aria-hidden="true"></i></a></span>
                        </td>
                    </tr>
                    <tr *ngIf="material==''">
                        <td colspan="9" class="text-center">No Records Found</td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div class="row d-flex justify-content-center">
            <pagination-controls *ngIf="material!=''" class="my-pagination"
                (pageChange)="p = $event">
            </pagination-controls>
        </div>
    </div>
</div>
